Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pulling.executing
Class ServerSideExecuter_Xgrid

    java.lang.Object
      pulling.executing.ServerSideExecuter
          pulling.executing.ServerSideExecuter_Xgrid

All Implemented Interfaces:
  java.io.Serializable

    public class ServerSideExecuter_Xgrid

extends ServerSideExecuter

See Also:
  Serialized Form

Field Summary

Fields inherited from class pulling.executing.ServerSideExecuter
`NOT_IMPLEMENTED`

Constructor Summary
`ServerSideExecuter_Xgrid(java.lang.String mapperHostName, java.lang.String password)`

Method Summary
`long` | `deleteJob(long id, java.lang.String hostname, java.lang.String password)` This method deletes the job with id "id" on hostname "hostname"\
`double` | `getActiveCPU(long id, java.lang.String hostname, java.lang.String password)`
`java.lang.String` | `getDateStarted(long id, java.lang.String hostname, java.lang.String password)`
`java.lang.String` | `getDateStopped(long id, java.lang.String hostname, java.lang.String password)`
`double` | `getDateSubmitted(long id, java.lang.String hostname, java.lang.String password)`
`java.lang.String` | `getJobStatus(long id, java.lang.String hostname, java.lang.String password)`
`java.lang.String` | `getKeyBeforeEqual(java.lang.String input)`
`double` | `getPercentageDone(long id, java.lang.String hostname, java.lang.String password)`
`java.lang.String` | `getValueAfterEqual(java.lang.String input)`
`void` | `startExecuter()` In this method the executer is set up.
`void` | `stopExecuter()` In this method the executer is stopped and streams are closed
`long` | `stopJob(long id, java.lang.String hostname, java.lang.String password)` This method stops the job with id "id" on hostname "hostname"\
`long` | `submitLoopJob(java.lang.String hostName, java.lang.String password, java.lang.String workingDirectory, long iter, double ratio)` This method is used by the Mapper to submit loop jobs

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerSideExecuter_Xgrid

    public ServerSideExecuter_Xgrid(java.lang.String mapperHostName,
                                    java.lang.String password)

Method Detail

### startExecuter

    public void startExecuter()

  Description copied from class: `ServerSideExecuter`
  In this method the executer is set up.

  Specified by:
    `startExecuter` in class `ServerSideExecuter`

### stopExecuter

    public void stopExecuter()

  Description copied from class: `ServerSideExecuter`
  In this method the executer is stopped and streams are closed

  Specified by:
    `stopExecuter` in class `ServerSideExecuter`

### submitLoopJob

    public long submitLoopJob(java.lang.String hostName,
                              java.lang.String password,
                              java.lang.String workingDirectory,
                              long iter,
                              double ratio)

  Description copied from class: `ServerSideExecuter`
  This method is used by the Mapper to submit loop jobs

  Specified by:
    `submitLoopJob` in class `ServerSideExecuter`
  Parameters:
    `hostName` - The hostname of the Server object to send the job to.
    `password` - The password of the Server object to send the job to.
    `iter` - The iterations of the job.
    `ratio` - The ratio of the jobs.
  Returns:
    a number. It depends on the implementation.
  See Also:
    `ServerSideExecuter.submitLoopJob(java.lang.String, java.lang.String, java.lang.String, long, double)`

### getPercentageDone

    public double getPercentageDone(long id,
                                    java.lang.String hostname,
                                    java.lang.String password)

  Specified by:
    `getPercentageDone` in class `ServerSideExecuter`
  Parameters:
    `id` - is job id
    `hostname` - is the hostname of the server executing that job
  Returns:
    the percentage done from job with job id "id"
  See Also:
    `ServerSideExecuter.getPercentageDone(long, java.lang.String, java.lang.String)`

### getDateSubmitted

    public double getDateSubmitted(long id,
                                   java.lang.String hostname,
                                   java.lang.String password)

  Specified by:
    `getDateSubmitted` in class `ServerSideExecuter`
  Parameters:
    `id` - is job id
    `hostname` - is the hostname of the server executing that job.
  Returns:
    the date when the job with id "id" has submitted to the execution layer.
  See Also:
    `ServerSideExecuter.getDateSubmitted(long, String, String)`

### getDateStarted

    public java.lang.String getDateStarted(long id,
                                           java.lang.String hostname,
                                           java.lang.String password)

  Specified by:
    `getDateStarted` in class `ServerSideExecuter`
  Parameters:
    `id` - is job id
    `hostname` - is the hostname of the server executing that job.
  Returns:
    the date when the job with id "id" has started.
  See Also:
    `ServerSideExecuter.getDateStarted(long, String, String)`

### getDateStopped

    public java.lang.String getDateStopped(long id,
                                           java.lang.String hostname,
                                           java.lang.String password)

  Specified by:
    `getDateStopped` in class `ServerSideExecuter`
  Parameters:
    `id` - is job id
    `hostname` - is the hostname of the server executing that job
  Returns:
    the date when the job with id "id" has stopped.
  See Also:
    `ServerSideExecuter.getDateStopped(long, String, String)`

### getJobStatus

    public java.lang.String getJobStatus(long id,
                                         java.lang.String hostname,
                                         java.lang.String password)

  Specified by:
    `getJobStatus` in class `ServerSideExecuter`
  Parameters:
    `id` - is job id
    `hostname` - is the hostname of the server executing that job
  Returns:
    the status of the job with id "id" (e.g. Runnung, Done)
  See Also:
    `ServerSideExecuter.getJobStatus(long, String, String)`

### getActiveCPU

    public double getActiveCPU(long id,
                               java.lang.String hostname,
                               java.lang.String password)

  Parameters:
    `id` - the id of the job
    `hostname` - the address of the server
    `password` - the password is use in authentication to access server hostname
  Returns:
    the active CPU in server hostname

### stopJob

    public long stopJob(long id,
                        java.lang.String hostname,
                        java.lang.String password)

  Description copied from class: `ServerSideExecuter`
  This method stops the job with id "id" on hostname "hostname"\

  Specified by:
    `stopJob` in class `ServerSideExecuter`
  Parameters:
    `id` - is job id
    `hostname` - is the hostname of the server executing that job
  Returns:
    NOT_IMPLEMENTED if not implemented
  See Also:
    `ServerSideExecuter.stopJob(long, String, String)`

### deleteJob

    public long deleteJob(long id,
                          java.lang.String hostname,
                          java.lang.String password)

  Description copied from class: `ServerSideExecuter`
  This method deletes the job with id "id" on hostname "hostname"\

  Specified by:
    `deleteJob` in class `ServerSideExecuter`
  Parameters:
    `id` - is job id
    `hostname` - is the hostname of the server executing that job
  Returns:
    NOT_IMPLEMENTED if not implemented
  See Also:
    `ServerSideExecuter.deleteJob(long, String, String)`

### getKeyBeforeEqual

    public java.lang.String getKeyBeforeEqual(java.lang.String input)

  Parameters:
    `input` - String
  Returns:
    a String that preceded the char =

### getValueAfterEqual

    public java.lang.String getValueAfterEqual(java.lang.String input)

  Parameters:
    `input` - String
  Returns:
    a String that followed the char =

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD